#ifndef _CSTATEBUTTON_H_
#define _CSTATEBUTTON_H_

#include <string.h>
#include "..\comp\Buttons\Button.h"

enum CheckStates{UnChecked,Checked,ErrorChecked};
class CStateButton : virtual public CButton
{
	public:	CStateButton(int X, int Y, int Width, int Height,char* Text);
				void SetCheckState(CheckStates State);
				virtual void CStateButton::Click(void);
	private:	CheckStates csCheckState;
	protected:
		void Draw(void);
		virtual void DrawText(void);
};
#endif